@Version(value="1.0")

# Package org.eclipse.microprofile.faulttolerance.exceptions

Exceptions for Microprofile Fault Tolerance

See: Description

Exception Summary
BulkheadException: The exception should be thrown when Bulkhead implementation throws an exception, e.g.
CircuitBreakerOpenException: The exception should be thrown when circuit breaker is open.
FaultToleranceDefinitionException: The exception should be thrown when the definition of any Fault Tolerance annotations is invalid.
FaultToleranceException: The exception should be thrown when the maximum retries is reached or overall retry duration is reached, circuit breaker is open, timeout occurred.
TimeoutException: The exception should be thrown when timeout is reached.

## Package org.eclipse.microprofile.faulttolerance.exceptions Description

Exceptions for Microprofile Fault Tolerance